## org.ascape.model.engine
Class DefaultRuleSelector

    java.lang.Object
      org.ascape.model.engine.DefaultRuleSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, RuleSelector, Selector

Direct Known Subclasses:
  FilteredRuleSelector

    public class DefaultRuleSelector

extends java.lang.Object
implements RuleSelector, java.io.Serializable

The Class DefaultRuleSelector.

See Also:
  Serialized Form

Constructor Summary
`DefaultRuleSelector()` Instantiates a new default rule selector.
`DefaultRuleSelector(java.lang.Object[] rules)` Instantiates a new default rule selector.

Method Summary
`java.lang.Object` `clone()` Clone.
`Rule` `getCurrentRule()` Gets the current rule.
`boolean` `hasMoreRules()` Checks for more rules.
`Rule` `nextRule()` Next rule.
`void` `reset()` Reset.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRuleSelector

    public DefaultRuleSelector()

  Instantiates a new default rule selector.

### DefaultRuleSelector

    public DefaultRuleSelector(java.lang.Object[] rules)

  Instantiates a new default rule selector.

  Parameters:
    `rules` - the rules

Method Detail

### hasMoreRules

    public boolean hasMoreRules()

  Description copied from interface: `RuleSelector`
  Checks for more rules.

  Specified by:
    `hasMoreRules` in interface `RuleSelector`
  Returns:
    true, if successful

### nextRule

    public Rule nextRule()

  Description copied from interface: `RuleSelector`
  Next rule.

  Specified by:
    `nextRule` in interface `RuleSelector`
  Returns:
    the rule

### getCurrentRule

    public Rule getCurrentRule()

  Gets the current rule.

  Returns:
    the current rule

### reset

    public void reset()

  Description copied from interface: `Selector`
  Reset.

  Specified by:
    `reset` in interface `Selector`

### clone

    public java.lang.Object clone()

  Description copied from interface: `Selector`
  Clone.

  Specified by:
    `clone` in interface `Selector`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the object